package async

import (
	"epur-pay/pkg/mq"
)

func AfterCallbackProducer(a *Async, req AsyncRequest) {
	mq.AysncInstance.Producer(&mq.Task{
		Topics:      a.Name,
		Delay:       req.Delay,
		Transaction: false,
		Store:       false,
		Func:        req.Func,
	})
}

func AfterCallback(data mq.ComsumerParams) error {
	data.Func()
	return nil
}
